{% extends "layout/base/base_success.html" %}

{# Metadata ##################################################################}
{% set page_name = "Modification bateau" %}
{% set page_description = "Page modification bateau." %}


{# Stylesheet ################################################################}
{% block stylesheets %}
{{ super() }}
{% endblock stylesheets %}


{# Script ####################################################################}


{# Display ###################################################################}
{% block main %}
<form class="m-auto needs-validation" method="post" action="{{ url_for('gestion_bateau_edit', id=bateau_form.bat_id.data) }}">
    {{ bateau_form.hidden_tag() }}
	<h1>{{ page_name | capitalize }}</h1>
	{{ bateau_form.csrf_token() }}
	<div class="mb-3">
		{{ bateau_form.nom.label(class="form-label") }}
		{{ bateau_form.nom(class="form-control ") }}
	</div>
	<div class="mb-2">
		{{ bateau_form.sauvetage.label(class="form-label") }}
		{{ bateau_form.sauvetage }}
	</div>
    <form class="m-auto needs-validation" method="post" action="{{ url_for('gestion_bateau_edit', id=bateau_form.bat_id.data) }}">
        <div class="mb-2">
            {{ compose_form.pers_id.label(class="form-label") }}
            {{ compose_form.pers_id }}
        </div>
        <div class="mb-2">
            {{ compose_form.status_id.label(class="form-label") }}
            {{ compose_form.status_id }}
        </div>
        <div class="mb-3 d-grid">
            {{ compose_form.submit(class="btn btn-primary") }}
        </div>

    </form>
{## TODO ajouter si user = admin#}
{#	<div class="mb-2">#}
{#		{{ bateau_form.valide_bat.label(class="form-label") }}#}
{#		{{ bateau_form.valide_bat(class="form-control ") }}#}
{#	</div>#}
	<div class="mb-3 d-grid">
		{{ bateau_form.submit(class="btn btn-primary") }}
	</div>
</form>
{% endblock main %}